Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Webhook Subscriptions

  • List webhook event types

  • List webhook subscriptions

  • Create webhook subscription

  • Delete webhook subscription

  • Retrieve webhook subscription

  • Update webhook subscription

  • Update webhook subscription signature key

  • Test webhook subscription

<- Webhook Subscriptions API

Webhook Subscriptions API

All versions ->

List webhook event types

GET

 /v2/webhooks/event-types

Lists all webhook event types that can be subscribed to.

Try in API Explorer
Link to section

Query parameters

Example code

Link to section

api_version

string

The API version for which to list event types. Setting this field overrides the default version used by the application.

Link to section

Response fields

Link to section

errors

Information on errors encountered during the request.

Link to section

event_types

string [ ]

The list of event types.

Link to section

metadata

Contains the metadata of a webhook event type. For more information, see EventTypeMetadata.

Link to section

Examples

All versions ->

GET /v2/webhooks/event-types
curl https://connect.squareup.com/v2/webhooks/event-types \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "event_types": [ "inventory.count.updated" ], "metadata": [ { "event_type": "inventory.count.updated", "api_version_introduced": "2018-07-12", "release_status": "PUBLIC" } ] }